StringManager (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.util.StringManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.util
Class StringManager

    java.lang.Object
      org.apache.catalina.tribes.util.StringManager

    public class StringManager

extends java.lang.Object

An internationalization / localization helper class which reduces the bother of handling ResourceBundles and takes care of the common cases of message formating which otherwise require the creation of Object arrays and such.

The StringManager operates on a package basis. One StringManager per package can be created and accessed via the getManager method call.

The StringManager will look for a ResourceBundle named by the package name given plus the suffix of "LocalStrings". In practice, this means that the localized information will be contained in a LocalStrings.properties file located in the package directory of the classpath.

Please see the documentation for java.util.ResourceBundle for more information.

Author:
  James Duncan Davidson [duncan@eng.sun.com], James Todd [gonzo@eng.sun.com]

Method Summary
`static StringManager` | `getManager(java.lang.String packageName)` Get the StringManager for a particular package.
`java.lang.String` | `getString(java.lang.String key)` Get a string from the underlying resource bundle.
`java.lang.String` | `getString(java.lang.String key, java.lang.Object arg)` Get a string from the underlying resource bundle and format it with the given object argument.
`java.lang.String` | `getString(java.lang.String key, java.lang.Object[] args)` Get a string from the underlying resource bundle and format it with the given set of arguments.
`java.lang.String` | `getString(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2)` Get a string from the underlying resource bundle and format it with the given object arguments.
`java.lang.String` | `getString(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Get a string from the underlying resource bundle and format it with the given object arguments.
`java.lang.String` | `getString(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` Get a string from the underlying resource bundle and format it with the given object arguments.
`protected java.lang.String` | `getStringInternal(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public java.lang.String getString(java.lang.String key)

  Get a string from the underlying resource bundle.

  Parameters:
    `key` - The resource name

### getStringInternal

    protected java.lang.String getStringInternal(java.lang.String key)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object[] args)

  Get a string from the underlying resource bundle and format it with the given set of arguments.

  Parameters:
    `key` - The resource name
    `args` - Formatting directives

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object arg)

  Get a string from the underlying resource bundle and format it with the given object argument. This argument can of course be a String object.

  Parameters:
    `key` - The resource name
    `arg` - Formatting directive

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object arg1,
                                      java.lang.Object arg2)

  Get a string from the underlying resource bundle and format it with the given object arguments. These arguments can of course be String objects.

  Parameters:
    `key` - The resource name
    `arg1` - Formatting directive
    `arg2` - Formatting directive

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object arg1,
                                      java.lang.Object arg2,
                                      java.lang.Object arg3)

  Get a string from the underlying resource bundle and format it with the given object arguments. These arguments can of course be String objects.

  Parameters:
    `key` - The resource name
    `arg1` - Formatting directive
    `arg2` - Formatting directive
    `arg3` - Formatting directive

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.Object arg1,
                                      java.lang.Object arg2,
                                      java.lang.Object arg3,
                                      java.lang.Object arg4)

  Get a string from the underlying resource bundle and format it with the given object arguments. These arguments can of course be String objects.

  Parameters:
    `key` - The resource name
    `arg1` - Formatting directive
    `arg2` - Formatting directive
    `arg3` - Formatting directive
    `arg4` - Formatting directive

### getManager

    public static StringManager getManager(java.lang.String packageName)

  Get the StringManager for a particular package. If a manager for a package already exists, it will be reused, else a new StringManager will be created and returned.

  Parameters:
    `packageName` - The package name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.